Proton-OpenVPN - Script for manage your ProtonVPN connections
=============================================================

### Info:

* This script is valid if you use a network manager other than `NetworkManager`. The official client runs on `NetworkManager` so you must use it for work properly.
* It can also be valid in an environment where no `graphical interface` is available.

### Installation:

* Open terminal and run the following commands:

  ```shell
  $ git clone https://github.com/q3aql/proton-openvpn
  $ cd proton-openvpn
  $ sudo make install
  ````
_Dependencies: `bash`, `coreutils`, `sed`, `zenity`, `xterm`, `openvpn`_

### How to use (GUI version):

* Open terminal and type the following command as root:

  ```shell
  sudo proton-openvpn
  ```

* NOTE: You can also use the applications menu: `Menu > Network > Proton-OpenVPN`

<img src="img/proton-openvpn-menu.png" /> 

### How to use (CLI version):

* Open terminal and type the following command as root:

  ```shell
  sudo proton-openvpn-cli
  ```
    
* NOTE: You can also use the applications menu: `Menu > Network > Proton-OpenVPN (CLI)`

<img src="img/proton-openvpn-cli-menu.png" /> 
 
### External links:

  * [ProtonVPN homepage](https://protonvpn.com/)
  * [OpenVPN homepage](https://openvpn.net/)
  * [OpenVPN Community](https://openvpn.net/community-downloads/)
  * [Zenity homepage](https://wiki.gnome.org/Projects/Zenity)



